List Collections
/unified/ticketing/collections
Query Parameters
Refer Specifying query parameters in Truto APIs
The unique identifier for the workspace
1 supported1 required
11 supported9 required2 notes
Workspace associated with the collections.
The unique identifier for the workspace
The unique identifier for the workspace
The name of the workspace
created_atnameupdated_at
3 supported
namecreated_atupdated_atcreated_atThe date and time when the collection was created
ascdesc
1 supported
Only supports when type is 'version'.
30 supported
The type of the collection
componentepiciterationmilestoneproductprojectsectiontasklistversionworkflow
23 supported6 required
projectversionprojectepiccomponentproductprojectepiciterationworkflowprojectsectiontasklistmilestoneThe parent collection id
7 supported2 notes
Set this value when type is epic.
Set this value only when type is section.
The date and time when the collection was updated
14 supported
The URLs of the collection
12 supported
The URL of the collection
1 supported
The unique identifier for a organization.
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
Defaults to unified.
unifiedunifiedrawnormalizedstream
By default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.
idIgnores the limit query parameter.
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barResponse Body
The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.
List of Collections
The unique identifier for a collection
31 supported
The date and time when the collection was created
15 supported
The description of the collection
15 supported
The type of entity that belongs to this collection
contactticket
2 supported
The unique identifier for the specific version of the resource.
2 supported
The name of the collection
30 supported
The parent collection id
7 supported
Raw data returned from the remote API call.
The type of the collection
22 supported
The date and time when the collection was updated
14 supported
The URLs of the collection
12 supported
1 property
The URL of the collection
7 supported
2 properties
The unique identifier for a workspace
The name of the workspace
curl -X GET 'https://api.truto.one/unified/ticketing/collections?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json'const integratedAccountId = '<integrated_account_id>';
const response = await fetch(`https://api.truto.one/unified/ticketing/collections?integrated_account_id=${integratedAccountId}`, {
method: 'GET',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/ticketing/collections"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.list(
'ticketing',
'collections',
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
async for item in truto_api.unified_api.list(
"ticketing",
"collections",
{"integrated_account_id": "<integrated_account_id>"}
):
print(item)
asyncio.run(main())